Jump to content
  • Advertisement
Sign in to follow this  
_Sigma

gcov coverage woes

This topic is 3323 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

I'm trying to profile / code coverage some fortran code under Ubuntu 8.10. When I try to link ld says it cannot find -lgcov. Googling has come up short. Any examples either don't explicitly link against lgcov.

Share this post


Link to post
Share on other sites
Advertisement
Have you got libgcov.a installed on your system? It's provided by package gcc-4.2 on my 8.04 system.

Share this post


Link to post
Share on other sites
Quote:
Original post by _Sigma
tried installing gcc-4.2 base, no luck. any ideas on how to get it?

gcc-4.2-base only contains a few files and directory definitions common to the other gcc packages. It's not a meta package used to install all the others. Try installing gcc-4.2 by itself.

Share this post


Link to post
Share on other sites
Didn't make a difference.

I've moved to a non VM linux install and all of a sudden I can find a gprof library in synaptic that looks like it should solve the problem - no idea why the VM version chokes on this...

Thanks for the help!

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

Participate in the game development conversation and more when you create an account on GameDev.net!

Sign me up!